=== modified file 'blas/gsl_blas.h'
--- blas/gsl_blas.h	2013-03-30 20:12:56 +0000
+++ blas/gsl_blas.h	2013-03-30 20:59:11 +0000
@@ -29,17 +29,17 @@
 #include <gsl/gsl_blas_types.h>
 
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* ========================================================================
@@ -597,6 +597,6 @@
                       gsl_matrix_complex * C);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_BLAS_H */

=== modified file 'blas/gsl_blas_types.h'
--- blas/gsl_blas_types.h	2013-03-30 20:12:56 +0000
+++ blas/gsl_blas_types.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 
 #include <gsl/gsl_cblas.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef  CBLAS_INDEX  CBLAS_INDEX_t;
 typedef  enum CBLAS_ORDER       CBLAS_ORDER_t;
@@ -48,7 +48,7 @@
 
 /* typedef  gsl_complex  COMPLEX; */
 
-__END_DECLS
+GSL_END_DECLS
 
 
 #endif /* GSL_BLAS_TYPES_H */

=== modified file 'block/gsl_block_char.h'
--- block/gsl_block_char.h	2013-03-30 20:12:56 +0000
+++ block/gsl_block_char.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #include <stdlib.h>
 #include <gsl/gsl_errno.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 struct gsl_block_char_struct
 {
@@ -60,6 +60,6 @@
 size_t gsl_block_char_size (const gsl_block_char * b);
 char * gsl_block_char_data (const gsl_block_char * b);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_BLOCK_CHAR_H */

=== modified file 'block/gsl_block_complex_double.h'
--- block/gsl_block_complex_double.h	2013-03-30 20:12:56 +0000
+++ block/gsl_block_complex_double.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #include <stdlib.h>
 #include <gsl/gsl_errno.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 struct gsl_block_complex_struct
 {
@@ -60,6 +60,6 @@
 size_t gsl_block_complex_size (const gsl_block_complex * b);
 double * gsl_block_complex_data (const gsl_block_complex * b);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_BLOCK_COMPLEX_DOUBLE_H */

=== modified file 'block/gsl_block_complex_float.h'
--- block/gsl_block_complex_float.h	2013-03-30 20:12:56 +0000
+++ block/gsl_block_complex_float.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #include <stdlib.h>
 #include <gsl/gsl_errno.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 struct gsl_block_complex_float_struct
 {
@@ -60,6 +60,6 @@
 size_t gsl_block_complex_float_size (const gsl_block_complex_float * b);
 float * gsl_block_complex_float_data (const gsl_block_complex_float * b);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_BLOCK_COMPLEX_FLOAT_H */

=== modified file 'block/gsl_block_complex_long_double.h'
--- block/gsl_block_complex_long_double.h	2013-03-30 20:12:56 +0000
+++ block/gsl_block_complex_long_double.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #include <stdlib.h>
 #include <gsl/gsl_errno.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 struct gsl_block_complex_long_double_struct
 {
@@ -60,6 +60,6 @@
 size_t gsl_block_complex_long_double_size (const gsl_block_complex_long_double * b);
 long double * gsl_block_complex_long_double_data (const gsl_block_complex_long_double * b);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_BLOCK_COMPLEX_LONG_DOUBLE_H */

=== modified file 'block/gsl_block_double.h'
--- block/gsl_block_double.h	2013-03-30 20:12:56 +0000
+++ block/gsl_block_double.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #include <stdlib.h>
 #include <gsl/gsl_errno.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 struct gsl_block_struct
 {
@@ -60,6 +60,6 @@
 size_t gsl_block_size (const gsl_block * b);
 double * gsl_block_data (const gsl_block * b);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_BLOCK_DOUBLE_H */

=== modified file 'block/gsl_block_float.h'
--- block/gsl_block_float.h	2013-03-30 20:12:56 +0000
+++ block/gsl_block_float.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #include <stdlib.h>
 #include <gsl/gsl_errno.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 struct gsl_block_float_struct
 {
@@ -60,6 +60,6 @@
 size_t gsl_block_float_size (const gsl_block_float * b);
 float * gsl_block_float_data (const gsl_block_float * b);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_BLOCK_FLOAT_H */

=== modified file 'block/gsl_block_int.h'
--- block/gsl_block_int.h	2013-03-30 20:12:56 +0000
+++ block/gsl_block_int.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #include <stdlib.h>
 #include <gsl/gsl_errno.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 struct gsl_block_int_struct
 {
@@ -60,6 +60,6 @@
 size_t gsl_block_int_size (const gsl_block_int * b);
 int * gsl_block_int_data (const gsl_block_int * b);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_BLOCK_INT_H */

=== modified file 'block/gsl_block_long.h'
--- block/gsl_block_long.h	2013-03-30 20:12:56 +0000
+++ block/gsl_block_long.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #include <stdlib.h>
 #include <gsl/gsl_errno.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 struct gsl_block_long_struct
 {
@@ -60,6 +60,6 @@
 size_t gsl_block_long_size (const gsl_block_long * b);
 long * gsl_block_long_data (const gsl_block_long * b);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_BLOCK_LONG_H */

=== modified file 'block/gsl_block_long_double.h'
--- block/gsl_block_long_double.h	2013-03-30 20:12:56 +0000
+++ block/gsl_block_long_double.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #include <stdlib.h>
 #include <gsl/gsl_errno.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 struct gsl_block_long_double_struct
 {
@@ -60,6 +60,6 @@
 size_t gsl_block_long_double_size (const gsl_block_long_double * b);
 long double * gsl_block_long_double_data (const gsl_block_long_double * b);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_BLOCK_LONG_DOUBLE_H */

=== modified file 'block/gsl_block_short.h'
--- block/gsl_block_short.h	2013-03-30 20:12:56 +0000
+++ block/gsl_block_short.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #include <stdlib.h>
 #include <gsl/gsl_errno.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 struct gsl_block_short_struct
 {
@@ -60,6 +60,6 @@
 size_t gsl_block_short_size (const gsl_block_short * b);
 short * gsl_block_short_data (const gsl_block_short * b);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_BLOCK_SHORT_H */

=== modified file 'block/gsl_block_uchar.h'
--- block/gsl_block_uchar.h	2013-03-30 20:12:56 +0000
+++ block/gsl_block_uchar.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #include <stdlib.h>
 #include <gsl/gsl_errno.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 struct gsl_block_uchar_struct
 {
@@ -60,6 +60,6 @@
 size_t gsl_block_uchar_size (const gsl_block_uchar * b);
 unsigned char * gsl_block_uchar_data (const gsl_block_uchar * b);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_BLOCK_UCHAR_H */

=== modified file 'block/gsl_block_uint.h'
--- block/gsl_block_uint.h	2013-03-30 20:12:56 +0000
+++ block/gsl_block_uint.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #include <stdlib.h>
 #include <gsl/gsl_errno.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 struct gsl_block_uint_struct
 {
@@ -60,6 +60,6 @@
 size_t gsl_block_uint_size (const gsl_block_uint * b);
 unsigned int * gsl_block_uint_data (const gsl_block_uint * b);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_BLOCK_UINT_H */

=== modified file 'block/gsl_block_ulong.h'
--- block/gsl_block_ulong.h	2013-03-30 20:12:56 +0000
+++ block/gsl_block_ulong.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #include <stdlib.h>
 #include <gsl/gsl_errno.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 struct gsl_block_ulong_struct
 {
@@ -60,6 +60,6 @@
 size_t gsl_block_ulong_size (const gsl_block_ulong * b);
 unsigned long * gsl_block_ulong_data (const gsl_block_ulong * b);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_BLOCK_ULONG_H */

=== modified file 'block/gsl_block_ushort.h'
--- block/gsl_block_ushort.h	2013-03-30 20:12:56 +0000
+++ block/gsl_block_ushort.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #include <stdlib.h>
 #include <gsl/gsl_errno.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 struct gsl_block_ushort_struct
 {
@@ -60,6 +60,6 @@
 size_t gsl_block_ushort_size (const gsl_block_ushort * b);
 unsigned short * gsl_block_ushort_data (const gsl_block_ushort * b);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_BLOCK_USHORT_H */

=== modified file 'block/gsl_check_range.h'
--- block/gsl_check_range.h	2013-03-30 20:12:56 +0000
+++ block/gsl_check_range.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #include <stdlib.h>
 #include <gsl/gsl_types.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 GSL_VAR int gsl_check_range;
 
@@ -52,6 +52,6 @@
 # endif
 #endif
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_CHECK_RANGE_H */

=== modified file 'bspline/gsl_bspline.h'
--- bspline/gsl_bspline.h	2013-03-30 20:12:56 +0000
+++ bspline/gsl_bspline.h	2013-03-30 20:59:11 +0000
@@ -26,17 +26,17 @@
 #include <gsl/gsl_vector.h>
 #include <gsl/gsl_matrix.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct
 {
@@ -114,6 +114,6 @@
                                gsl_bspline_workspace *w,
                                gsl_bspline_deriv_workspace *dw);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_BSPLINE_H */

=== modified file 'cblas/gsl_cblas.h'
--- cblas/gsl_cblas.h	2013-03-30 20:12:56 +0000
+++ cblas/gsl_cblas.h	2013-03-30 20:59:11 +0000
@@ -26,17 +26,17 @@
 #define GSL_CBLAS_H
 #include <stddef.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-#define __BEGIN_DECLS extern "C" {
-#define __END_DECLS }
+#define GSL_BEGIN_DECLS extern "C" {
+#define GSL_END_DECLS }
 #else
-#define __BEGIN_DECLS           /* empty */
-#define __END_DECLS             /* empty */
+#define GSL_BEGIN_DECLS           /* empty */
+#define GSL_END_DECLS             /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 /*
  * Enumerated and derived types
@@ -601,6 +601,6 @@
 
 void cblas_xerbla(int p, const char *rout, const char *form, ...);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_CBLAS_H */

=== modified file 'cdf/gsl_cdf.h'
--- cdf/gsl_cdf.h	2013-03-30 20:12:56 +0000
+++ cdf/gsl_cdf.h	2013-03-30 20:59:11 +0000
@@ -22,17 +22,17 @@
 #ifndef GSL_CDF_H
 #define GSL_CDF_H
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS          /* empty */
-# define __END_DECLS            /* empty */
+# define GSL_BEGIN_DECLS          /* empty */
+# define GSL_END_DECLS            /* empty */
 #endif
 
-__BEGIN_DECLS 
+GSL_BEGIN_DECLS 
 
 double gsl_cdf_ugaussian_P (const double x);
 double gsl_cdf_ugaussian_Q (const double x);
@@ -165,6 +165,6 @@
 double gsl_cdf_hypergeometric_Q (const unsigned int k, const unsigned int n1,
                                  const unsigned int n2, const unsigned int t);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_CDF_H */

=== modified file 'cheb/gsl_chebyshev.h'
--- cheb/gsl_chebyshev.h	2013-03-30 20:12:56 +0000
+++ cheb/gsl_chebyshev.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #include <gsl/gsl_math.h>
 #include <gsl/gsl_mode.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* data for a Chebyshev series over a given interval */
@@ -128,6 +128,6 @@
 
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_CHEBYSHEV_H */

=== modified file 'combination/gsl_combination.h'
--- combination/gsl_combination.h	2013-03-30 20:12:56 +0000
+++ combination/gsl_combination.h	2013-03-30 20:59:11 +0000
@@ -27,17 +27,17 @@
 #include <gsl/gsl_inline.h>
 #include <gsl/gsl_check_range.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 struct gsl_combination_struct
 {
@@ -87,6 +87,6 @@
 
 #endif /* HAVE_INLINE */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_COMBINATION_H */

=== modified file 'complex/gsl_complex.h'
--- complex/gsl_complex.h	2013-03-30 20:12:56 +0000
+++ complex/gsl_complex.h	2013-03-30 20:59:11 +0000
@@ -20,17 +20,17 @@
 #ifndef GSL_COMPLEX_H
 #define GSL_COMPLEX_H
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 /* two consecutive built-in types as a complex number */
@@ -98,6 +98,6 @@
 
 #define GSL_SET_COMPLEX_PACKED(zp,n,x,y) do {*((zp)+2*(n))=(x); *((zp)+(2*(n)+1))=(y);} while(0)
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_COMPLEX_H */

=== modified file 'complex/gsl_complex_math.h'
--- complex/gsl_complex_math.h	2013-03-30 20:12:56 +0000
+++ complex/gsl_complex_math.h	2013-03-30 20:59:11 +0000
@@ -22,17 +22,17 @@
 #include <gsl/gsl_inline.h>
 #include <gsl/gsl_complex.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-#define __BEGIN_DECLS extern "C" {
-#define __END_DECLS }
+#define GSL_BEGIN_DECLS extern "C" {
+#define GSL_END_DECLS }
 #else
-#define __BEGIN_DECLS           /* empty */
-#define __END_DECLS             /* empty */
+#define GSL_BEGIN_DECLS           /* empty */
+#define GSL_END_DECLS             /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 /* Complex numbers */
 
@@ -137,6 +137,6 @@
 gsl_complex gsl_complex_arctanh_real (double a);  /* r=arctanh(a) */
 gsl_complex gsl_complex_arccoth (gsl_complex a);  /* r=arccoth(a) */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_COMPLEX_MATH_H */

=== modified file 'contrib/wigner.h'
--- contrib/wigner.h	2013-03-30 20:12:56 +0000
+++ contrib/wigner.h	2013-03-30 20:59:11 +0000
@@ -20,17 +20,17 @@
 #define  GSL_SF_WIGNER_H 1
 #include <gsl/gsl_sf_result.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS          /* empty */
-# define __END_DECLS            /* empty */
+# define GSL_BEGIN_DECLS          /* empty */
+# define GSL_END_DECLS            /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
   double gsl_sf_wigner_3j (const int two_j1, const int two_j2,
                            const int two_j3, const int two_m1,
                            const int two_m2, const int two_m3);
@@ -59,5 +59,5 @@
 int gsl_sf_wigner_drot_e (const int two_j, const int two_m1, const int two_m2,
                           const double theta, gsl_sf_result * result);
 
-__END_DECLS
+GSL_END_DECLS
 #endif /* GSL_SF_WIGNER_H */

=== modified file 'deriv/gsl_deriv.h'
--- deriv/gsl_deriv.h	2013-03-30 20:12:56 +0000
+++ deriv/gsl_deriv.h	2013-03-30 20:59:11 +0000
@@ -21,17 +21,17 @@
 #define GSL_DERIV_H
 #include <gsl/gsl_math.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_deriv_central (const gsl_function *f,
                        double x, double h,
@@ -45,6 +45,6 @@
                        double x, double h,
                        double *result, double *abserr);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_DERIV_H */

=== modified file 'dht/gsl_dht.h'
--- dht/gsl_dht.h	2013-03-30 20:12:56 +0000
+++ dht/gsl_dht.h	2013-03-30 20:59:11 +0000
@@ -22,17 +22,17 @@
 #ifndef GSL_DHT_H
 #define GSL_DHT_H
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 
 struct gsl_dht_struct {
@@ -82,6 +82,6 @@
 int gsl_dht_apply(const gsl_dht * t, double * f_in, double * f_out);
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_DHT_H */

=== modified file 'diff/gsl_diff.h'
--- diff/gsl_diff.h	2013-03-30 20:12:56 +0000
+++ diff/gsl_diff.h	2013-03-30 20:59:11 +0000
@@ -21,17 +21,17 @@
 #define GSL_DIFF_H
 #include <gsl/gsl_math.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 #ifndef GSL_DISABLE_DEPRECATED
 int gsl_diff_central (const gsl_function *f,
@@ -47,6 +47,6 @@
                       double *result, double *abserr);
 #endif
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_DIFF_H */

=== modified file 'eigen/gsl_eigen.h'
--- eigen/gsl_eigen.h	2013-03-30 20:12:56 +0000
+++ eigen/gsl_eigen.h	2013-03-30 20:59:11 +0000
@@ -23,17 +23,17 @@
 #include <gsl/gsl_vector.h>
 #include <gsl/gsl_matrix.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 typedef struct {
   size_t size;
@@ -342,6 +342,6 @@
 
 
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_EIGEN_H */

=== modified file 'err/gsl_errno.h'
--- err/gsl_errno.h	2013-03-30 20:12:56 +0000
+++ err/gsl_errno.h	2013-03-30 20:59:11 +0000
@@ -24,17 +24,17 @@
 #include <errno.h>
 #include <gsl/gsl_types.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 enum { 
   GSL_SUCCESS  = 0, 
@@ -149,6 +149,6 @@
 
 #define GSL_STATUS_UPDATE(sp, s) do { if ((s) != GSL_SUCCESS) *(sp) = (s);} while(0)
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_ERRNO_H */

=== modified file 'err/gsl_message.h'
--- err/gsl_message.h	2013-03-30 20:12:56 +0000
+++ err/gsl_message.h	2013-03-30 20:59:11 +0000
@@ -21,17 +21,17 @@
 #define GSL_MESSAGE_H
 #include <gsl/gsl_types.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 /* Provide a general messaging service for client use.  Messages can
  * be selectively turned off at compile time by defining an
@@ -73,7 +73,7 @@
        } while (0)
 #endif
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_MESSAGE_H */
 

=== modified file 'fft/gsl_dft_complex.h'
--- fft/gsl_dft_complex.h	2013-03-30 20:12:56 +0000
+++ fft/gsl_dft_complex.h	2013-03-30 20:59:11 +0000
@@ -26,17 +26,17 @@
 #include <gsl/gsl_complex.h>
 #include <gsl/gsl_fft.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_dft_complex_forward (const double data[], const size_t stride, const size_t n,
                              double result[]);
@@ -50,6 +50,6 @@
 int gsl_dft_complex_transform (const double data[], const size_t stride, const size_t n,
                      double result[], const gsl_fft_direction sign);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_DFT_COMPLEX_H */

=== modified file 'fft/gsl_dft_complex_float.h'
--- fft/gsl_dft_complex_float.h	2013-03-30 20:12:56 +0000
+++ fft/gsl_dft_complex_float.h	2013-03-30 20:59:11 +0000
@@ -26,17 +26,17 @@
 #include <gsl/gsl_complex.h>
 #include <gsl/gsl_fft.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 int gsl_dft_complex_float_forward (const float data[], const size_t stride, const size_t n,
                              float result[]);
@@ -50,6 +50,6 @@
 int gsl_dft_complex_float_transform (const float data[], const size_t stride, const size_t n,
                      float result[], const gsl_fft_direction sign);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_DFT_COMPLEX_FLOAT_H */

=== modified file 'fft/gsl_fft.h'
--- fft/gsl_fft.h	2013-03-30 20:12:56 +0000
+++ fft/gsl_fft.h	2013-03-30 20:59:11 +0000
@@ -22,17 +22,17 @@
 
 #include <gsl/gsl_complex.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 #ifndef GSL_DISABLE_DEPRECATED
 typedef enum
@@ -55,6 +55,6 @@
        
    where - is the forward transform direction and + the inverse direction */
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_FFT_H */

=== modified file 'fft/gsl_fft_complex.h'
--- fft/gsl_fft_complex.h	2013-03-30 20:12:56 +0000
+++ fft/gsl_fft_complex.h	2013-03-30 20:59:11 +0000
@@ -26,17 +26,17 @@
 #include <gsl/gsl_complex.h>
 #include <gsl/gsl_fft.h>
 
-#undef __BEGIN_DECLS
-#undef __END_DECLS
+#undef GSL_BEGIN_DECLS
+#undef GSL_END_DECLS
 #ifdef __cplusplus
-# define __BEGIN_DECLS extern "C" {
-# define __END_DECLS }
+# define GSL_BEGIN_DECLS extern "C" {
+# define GSL_END_DECLS }
 #else
-# define __BEGIN_DECLS /* empty */
-# define __END_DECLS /* empty */
+# define GSL_BEGIN_DECLS /* empty */
+# define GSL_END_DECLS /* empty */
 #endif
 
-__BEGIN_DECLS
+GSL_BEGIN_DECLS
 
 /*  Power of 2 routines  */
 
@@ -131,6 +131,6 @@
                                gsl_fft_complex_workspace * work,
                                const gsl_fft_direction sign);
 
-__END_DECLS
+GSL_END_DECLS
 
 #endif /* GSL_FFT_COMPLEX_H */

